Bug 208862 - [NEW PORT] devel/stack: Cross-platform program for developing Haskell programs
Summary: [NEW PORT] devel/stack: Cross-platform program for developing Haskell programs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-17 18:13 UTC by Tobias Kortkamp
Modified: 2016-07-16 15:40 UTC (History)
2 users (show)

See Also:


Attachments
stack.shar (3.21 KB, text/plain)
2016-04-17 18:13 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details
Poudriere testport log FreeBSD 10.2/amd64 (28.50 KB, text/x-log)
2016-04-17 18:14 UTC, Tobias Kortkamp
no flags Details
stack.shar (3.22 KB, text/plain)
2016-04-18 10:05 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details
Poudriere testport log FreeBSD 10.2/amd64 (28.50 KB, text/x-log)
2016-04-18 10:06 UTC, Tobias Kortkamp
no flags Details
stack.shar (2.63 KB, text/plain)
2016-05-01 23:07 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details
Poudriere testport log FreeBSD 10.2/amd64 (29.64 KB, text/x-log)
2016-05-01 23:10 UTC, Tobias Kortkamp
no flags Details
Poudriere testport log FreeBSD 10.2/amd64 (29.21 KB, text/x-log)
2016-05-04 13:56 UTC, Tobias Kortkamp
no flags Details
stack.shar (2.62 KB, text/plain)
2016-05-04 13:57 UTC, Tobias Kortkamp
no flags Details
stack.shar (2.70 KB, text/plain)
2016-05-24 14:54 UTC, Tobias Kortkamp
no flags Details
Synth test log FreeBSD 10.3/amd64 (27.36 KB, text/x-log)
2016-05-24 14:55 UTC, Tobias Kortkamp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-04-17 18:13:12 UTC
Created attachment 169399 [details]
stack.shar

Stack is a cross-platform program for developing Haskell projects.
It is aimed at Haskellers both new and experienced. 

WWW: http://www.haskellstack.org/
Comment 1 Tobias Kortkamp freebsd_committer 2016-04-17 18:14:52 UTC
Created attachment 169400 [details]
Poudriere testport log FreeBSD 10.2/amd64
Comment 2 Tobias Kortkamp freebsd_committer 2016-04-18 10:05:35 UTC
Created attachment 169424 [details]
stack.shar

Small update to fix building outside of Poudriere
Comment 3 Tobias Kortkamp freebsd_committer 2016-04-18 10:06:03 UTC
Created attachment 169425 [details]
Poudriere testport log FreeBSD 10.2/amd64
Comment 4 Tobias Kortkamp freebsd_committer 2016-05-01 23:07:39 UTC
Created attachment 169862 [details]
stack.shar
Comment 5 Tobias Kortkamp freebsd_committer 2016-05-01 23:10:43 UTC
Created attachment 169863 [details]
Poudriere testport log FreeBSD 10.2/amd64

Updated port:
- Moved build logic outside of port
- Removed ${PORTSDIR} from dependencies
Comment 6 Tobias Kortkamp freebsd_committer 2016-05-04 13:56:49 UTC
Created attachment 169963 [details]
Poudriere testport log FreeBSD 10.2/amd64
Comment 7 Tobias Kortkamp freebsd_committer 2016-05-04 13:57:37 UTC
Created attachment 169965 [details]
stack.shar

Update to stack 1.1.0
Comment 8 Tobias Kortkamp freebsd_committer 2016-05-24 14:54:38 UTC
Created attachment 170603 [details]
stack.shar

Update to stack 1.1.2
Comment 9 Tobias Kortkamp freebsd_committer 2016-05-24 14:55:23 UTC
Created attachment 170604 [details]
Synth test log FreeBSD 10.3/amd64
Comment 10 Kurt Jaeger freebsd_committer 2016-07-16 14:43:36 UTC
testbuilds@work
Comment 11 Kurt Jaeger freebsd_committer 2016-07-16 15:40:36 UTC
testbuilds are all fine, committed, thanks!
Comment 12 commit-hook freebsd_committer 2016-07-16 15:40:49 UTC
A commit references this bug:

Author: pi
Date: Sat Jul 16 15:40:35 UTC 2016
New revision: 418639
URL: https://svnweb.freebsd.org/changeset/ports/418639

Log:
  New port: devel/stack

  Stack is a cross-platform program for developing Haskell projects.
  It is aimed at Haskellers both new and experienced.

  WWW: http://www.haskellstack.org/

  PR:		208862
  Submitted by:	Tobias Kortkamp <t@tobik.me>

Changes:
  head/devel/Makefile
  head/devel/stack/
  head/devel/stack/Makefile
  head/devel/stack/distinfo
  head/devel/stack/pkg-descr